/* 1. Auf einem Parkplatz stehen p PKWs und m Motorräder. Zusammen seien es fz
Fahrzeuge mit rd Rädern. fz und rd sind einzulesen und die Anzahl der PKWs und
der Motorräder ist zu bestimmen. Falsche Eingaben sind abzuweisen.
------------------------------------------------------------------------------*/
#include <stdlib.h>
int main()
{  int fz, rd, m, p, i;
    printf("\n Anzahl der Fahrzeuge: ");
    i=scanf("%i", &fz);
    if( i!=1 )printf(" Das war keine ganze Zahl!");
    else if( fz<0) printf("\n Das war negativ!!");
         else if( fz==0) printf("\n Keine PKW's und keine Motorraeder!");
              else{  printf("\n Anzahl der Raeder (%i bis %i): ", 2*fz, 4*fz);
                     i=scanf("%i", &rd);
                     if( i!=1)printf(" Das war keine ganze Zahl!");
                     else if( rd<0) printf("\n Das war negativ!!");
                          else if( rd%2!=0 )
                                  printf("\n Anzahl muss gerade sein!");
                               else if( rd<2*fz || rd>4*fz)
                                      printf("\n zu viele/zu wenige");
                                   else{ p= rd/2 -fz;
                                         m= fz - p;
                                         printf("\nEs sind %i PKW's und %i Mo"
                                         "torraeder!", p, m);
                                       }
                  }
   printf("\n\n");   system("PAUSE");      return 0;
}
